import { isServer, noop } from './utils';
var focusCallback = noop;
var removePreviousHandler;
export function setFocusHandler(callback) {
  if (removePreviousHandler) {
    removePreviousHandler();
  }

  removePreviousHandler = callback(function () {
    focusCallback();
  });
}
export function initFocusHandler(callback) {
  // Set the callback to execute on focus
  focusCallback = callback; // Set a default focus handler if needed

  if (!removePreviousHandler) setFocusHandler(function (handleFocus) {
    var _window;

    if (!isServer && ((_window = window) == null ? void 0 : _window.addEventListener)) {
      // Listen to visibillitychange and focus
      window.addEventListener('visibilitychange', handleFocus, false);
      window.addEventListener('focus', handleFocus, false);
      return function () {
        // Be sure to unsubscribe if a new handler is set
        window.removeEventListener('visibilitychange', handleFocus);
        window.removeEventListener('focus', handleFocus);
      };
    }
  });
}