import { isServer, noop } from './utils';
var onlineCallback = noop;
var removePreviousHandler;
export function setOnlineHandler(callback) {
  if (removePreviousHandler) {
    removePreviousHandler();
  }

  removePreviousHandler = callback(function () {
    onlineCallback();
  });
}
export function initOnlineHandler(callback) {
  // Set the callback to execute on online
  onlineCallback = callback; // Set a default focus handler if needed

  if (!removePreviousHandler) {
    setOnlineHandler(function (handleOnline) {
      var _window;

      if (!isServer && ((_window = window) == null ? void 0 : _window.addEventListener)) {
        // Listen to online
        window.addEventListener('online', handleOnline, false);
        return function () {
          // Be sure to unsubscribe if a new handler is set
          window.removeEventListener('online', handleOnline);
        };
      }
    });
  }
}