import React from 'react';
import { parseFilterArgs } from '../core/utils';
import { useQueryClient } from './QueryClientProvider';
import { useIsMounted } from './utils';
export function useIsFetching(arg1, arg2) {
  var client = useQueryClient();
  var isMounted = useIsMounted();

  var _parseFilterArgs = parseFilterArgs(arg1, arg2),
      filters = _parseFilterArgs[0];

  var _React$useState = React.useState(client.isFetching(filters)),
      isFetching = _React$useState[0],
      setIsFetching = _React$useState[1];

  var filtersRef = React.useRef(filters);
  filtersRef.current = filters;
  var isFetchingRef = React.useRef(isFetching);
  isFetchingRef.current = isFetching;
  React.useEffect(function () {
    return client.getCache().subscribe(function () {
      if (isMounted()) {
        var newIsFetching = client.isFetching(filtersRef.current);

        if (isFetchingRef.current !== newIsFetching) {
          setIsFetching(newIsFetching);
        }
      }
    });
  }, [client, setIsFetching, isMounted]);
  return isFetching;
}