import React from 'react';
import { useIsMounted } from './utils';
import { useQueryClient } from './QueryClientProvider';
export function useQueries(queries) {
  var client = useQueryClient();
  var isMounted = useIsMounted(); // Create queries observer

  var observerRef = React.useRef();
  var firstRender = !observerRef.current;
  var observer = observerRef.current || client.watchQueries(queries);
  observerRef.current = observer; // Update queries

  if (!firstRender) {
    observer.setQueries(queries);
  }

  var _React$useState = React.useState(function () {
    return observer.getCurrentResult();
  }),
      currentResult = _React$useState[0],
      setCurrentResult = _React$useState[1]; // Subscribe to the observer


  React.useEffect(function () {
    return observer.subscribe(function (result) {
      if (isMounted()) {
        setCurrentResult(result);
      }
    });
  }, [isMounted, observer]);
  return currentResult;
}