"use strict";

exports.__esModule = true;
var _exportNames = {
  QueryCache: true,
  QueryClient: true,
  setBatchNotifyFn: true,
  setNotifyFn: true,
  setLogger: true,
  setFocusHandler: true,
  setOnlineHandler: true,
  hashQueryKey: true,
  isCancelledError: true,
  isError: true
};
exports.isError = exports.isCancelledError = exports.hashQueryKey = exports.setOnlineHandler = exports.setFocusHandler = exports.setLogger = exports.setNotifyFn = exports.setBatchNotifyFn = exports.QueryClient = exports.QueryCache = void 0;

var _queryCache = require("./queryCache");

exports.QueryCache = _queryCache.QueryCache;

var _queryClient = require("./queryClient");

exports.QueryClient = _queryClient.QueryClient;

var _notifyManager = require("./notifyManager");

exports.setBatchNotifyFn = _notifyManager.setBatchNotifyFn;
exports.setNotifyFn = _notifyManager.setNotifyFn;

var _logger = require("./logger");

exports.setLogger = _logger.setLogger;

var _focusHandler = require("./focusHandler");

exports.setFocusHandler = _focusHandler.setFocusHandler;

var _onlineHandler = require("./onlineHandler");

exports.setOnlineHandler = _onlineHandler.setOnlineHandler;

var _utils = require("./utils");

exports.hashQueryKey = _utils.hashQueryKey;
exports.isCancelledError = _utils.isCancelledError;
exports.isError = _utils.isError;

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  exports[key] = _types[key];
});