"use strict";

exports.__esModule = true;
exports.setOnlineHandler = setOnlineHandler;
exports.initOnlineHandler = initOnlineHandler;

var _utils = require("./utils");

var onlineCallback = _utils.noop;
var removePreviousHandler;

function setOnlineHandler(callback) {
  if (removePreviousHandler) {
    removePreviousHandler();
  }

  removePreviousHandler = callback(function () {
    onlineCallback();
  });
}

function initOnlineHandler(callback) {
  // Set the callback to execute on online
  onlineCallback = callback; // Set a default focus handler if needed

  if (!removePreviousHandler) {
    setOnlineHandler(function (handleOnline) {
      var _window;

      if (!_utils.isServer && ((_window = window) == null ? void 0 : _window.addEventListener)) {
        // Listen to online
        window.addEventListener('online', handleOnline, false);
        return function () {
          // Be sure to unsubscribe if a new handler is set
          window.removeEventListener('online', handleOnline);
        };
      }
    });
  }
}