"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.useQueries = useQueries;

var _react = _interopRequireDefault(require("react"));

var _utils = require("./utils");

var _QueryClientProvider = require("./QueryClientProvider");

function useQueries(queries) {
  var client = (0, _QueryClientProvider.useQueryClient)();
  var isMounted = (0, _utils.useIsMounted)(); // Create queries observer

  var observerRef = _react.default.useRef();

  var firstRender = !observerRef.current;
  var observer = observerRef.current || client.watchQueries(queries);
  observerRef.current = observer; // Update queries

  if (!firstRender) {
    observer.setQueries(queries);
  }

  var _React$useState = _react.default.useState(function () {
    return observer.getCurrentResult();
  }),
      currentResult = _React$useState[0],
      setCurrentResult = _React$useState[1]; // Subscribe to the observer


  _react.default.useEffect(function () {
    return observer.subscribe(function (result) {
      if (isMounted()) {
        setCurrentResult(result);
      }
    });
  }, [isMounted, observer]);

  return currentResult;
}