"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.useIsMounted = useIsMounted;

var _react = _interopRequireDefault(require("react"));

var _utils = require("../core/utils");

function useIsMounted() {
  var mountedRef = _react.default.useRef(false);

  var isMounted = _react.default.useCallback(function () {
    return mountedRef.current;
  }, []);

  var useEffect = _utils.isServer ? _react.default.useEffect : _react.default.useLayoutEffect;
  useEffect(function () {
    mountedRef.current = true;
    return function () {
      mountedRef.current = false;
    };
  }, []);
  return isMounted;
}