declare type NotifyCallback = () => void;
declare type NotifyFunction = (callback: () => void) => void;
declare type BatchNotifyFunction = (callback: () => void) => void;
/**
 * Use this function to set a custom notify function.
 * This can be used to for example wrap notifications with `React.act` while running tests.
 */
export declare function setNotifyFn(fn: NotifyFunction): void;
/**
 * Use this function to set a custom function to batch notifications together into a single tick.
 * By default React Query will use the batch function provided by ReactDOM or React Native.
 */
export declare function setBatchNotifyFn(fn: BatchNotifyFunction): void;
declare class NotifyManager {
    private queue;
    private transactions;
    constructor();
    batch<T>(callback: () => T): T;
    schedule(callback: NotifyCallback): void;
    flush(): void;
}
export declare const notifyManager: NotifyManager;
export {};
