import { QueryObserverOptions, QueryObserverResult } from './types';
import { QueryClient } from './queryClient';
interface QueriesObserverConfig {
    client: QueryClient;
    queries?: QueryObserverOptions[];
}
declare type QueriesObserverListener = (result: QueryObserverResult[]) => void;
export declare class QueriesObserver {
    private client;
    private result;
    private queries;
    private observers;
    private listeners;
    constructor(config: QueriesObserverConfig);
    subscribe(listener?: QueriesObserverListener): () => void;
    private unsubscribe;
    onMount(): void;
    clear(): void;
    setQueries(queries: QueryObserverOptions[]): void;
    getCurrentResult(): QueryObserverResult[];
    private updateObservers;
    private onUpdate;
    private notify;
}
export {};
