import { QueryFilters } from './utils';
import { Query } from './query';
import { QueryKey, QueryOptions } from './types';
declare type QueryCacheListener = (query?: Query) => void;
export declare class QueryCache {
    private listeners;
    private queries;
    private queriesMap;
    constructor();
    build<TData, TError, TQueryFnData>(options: QueryOptions<TData, TError, TQueryFnData>): Query<TData, TError, TQueryFnData>;
    add(query: Query<any, any>): void;
    remove(query: Query<any, any>): void;
    clear(): void;
    get<TData = unknown, TError = unknown, TQueryFnData = TData>(queryHash: string): Query<TData, TError, TQueryFnData> | undefined;
    getAll(): Query[];
    find<TData = unknown, TError = unknown, TQueryFnData = TData>(arg1: QueryKey, arg2?: QueryFilters): Query<TData, TError, TQueryFnData> | undefined;
    findAll(queryKey?: QueryKey, filters?: QueryFilters): Query[];
    findAll(filters?: QueryFilters): Query[];
    findAll(arg1?: QueryKey | QueryFilters, arg2?: QueryFilters): Query[];
    subscribe(listener: QueryCacheListener): () => void;
    notify(query?: Query<any, any>): void;
}
export {};
