import { Query } from '../core/query';
import { QueryCache } from '../core/queryCache';
import { QueryKey, QueryOptions } from '../core/types';
export interface DehydrateOptions {
    shouldDehydrate?: ShouldDehydrateFunction;
}
export interface HydrateOptions {
    defaultOptions?: QueryOptions;
}
interface DehydratedQueryConfig {
    cacheTime: number;
}
interface DehydratedQuery {
    queryKey: QueryKey;
    queryHash: string;
    data?: unknown;
    updatedAt: number;
    config: DehydratedQueryConfig;
}
export interface DehydratedState {
    queries: Array<DehydratedQuery>;
}
export declare type ShouldDehydrateFunction = (query: Query) => boolean;
export declare function dehydrate(cache: QueryCache, options?: DehydrateOptions): DehydratedState;
export declare function hydrate(cache: QueryCache, dehydratedState: unknown, options?: HydrateOptions): void;
export {};
